Subject: bug#71535: [bug-diffutils] bug#71535: multiple defects found by covscan in diffutils-3.10

From: Bruno Haible <[email-masked]>
Date: Thu, 20 Jun 2024 08:10:08 +0200

Hi Paul,

> I installed the attached patch into Gnulib 
> to fix the bug, which appears to be so unlikely that it's not worth 
> losing sleep over.

Thanks! I've propagated it to GNU libsigsegv.

> As near as I can make out, this was the only defect report by Coverity 
> that was not a false alarm.

Well, from my point of view, since the file being read is from the /proc
file system, I assume that such synthetic files constructed by the
kernel are small (in the range of < 16 KB). Anyway, if it helps avoid
an alarm from static code analysis tools, the better.

Bruno